version: '3.3'

services:

  jee-sulfur-REPLACE_CLIENTE:
    environment:
      - URL_LIST=${URL_LIST}
      - DOCKER_IMAGE=${DOCKER_IMAGE}
      - DOCKER_TAG=${DOCKER_TAG}
      - DOCKER_STACK=${DOCKER_STACK}
      - DEPLOY_ENV=${DEPLOY_ENV}
      - PG_HOST=${PG_HOST}
      - PG_SULFUR_USER=${PG_SULFUR_USER}
      - PG_SULFUR_PASSWD=${PG_SULFUR_PASSWD}
      - PG_SULFUR_DB=${PG_SULFUR_DB}
      - BACKEND_URL=${DOCKER_STACK}-${REPLACE_CLIENTE}.DEPLOY_ENV.magnesium.coop
    image: $DOCKER_IMAGE:$DOCKER_TAG
    networks:
      - traefik_proxy
    environment:
       TZ: America/Montevideo
       DB_HOST: $PG_HOST
       DB_NAME: $PG_SULFUR_DB
       DB_USER: $PG_SULFUR_USER
       DB_PASS: $PG_SULFUR_PASSWD
       BACKEND_URL: $BACKEND_URL
       LOGSTASH_HOST:
    deploy:
      replicas: 1
      labels:
        - "traefik.port=8080"
        - "traefik.backend=jee-sulfur-REPLACE_CLIENTE"
        - "traefik.frontend.rule=Host:$URL_LIST"
        - "traefik.enable=true"
        - "traefik.docker.network=traefik_proxy"
        - "traefik.backend.loadbalancer.sticky=true"
        - "traefik.frontend.passHostHeader=true"
      restart_policy:
        condition: on-failure
 
networks:
  traefik_proxy:
    external: true